/*
 * #%L
 * JavaHg
 * %%
 * Copyright (C) 2011 aragost Trifork ag
 * %%
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 * #L%
 */

/*
 * Automatically generated based on Mercurial 1.9.
 */
package com.aragost.javahg.commands.flags;

import com.aragost.javahg.Repository;
import com.aragost.javahg.commands.AbstractCommand;
import com.aragost.javahg.commands.UpdateCommand;

public abstract class UpdateCommandFlags extends AbstractCommand {

    protected UpdateCommandFlags(Repository repository) {
        super(repository);
    }

    @Override
    public final String getCommandName() {
        return "update";
    }

    public static UpdateCommand on(Repository repository) {
        return new UpdateCommand(repository);
    }

    /**
     * Set the <tt>--clean</tt> command line flag.
     * 
     * @see <a
     *      href="http://www.selenic.com/mercurial/hg.1.html#update">Mercurial
     *      documentation</a>
     * @return this instance
     */
    public UpdateCommand clean() {
        cmdAppend("--clean");
        return (UpdateCommand) this;
    }

    /**
     * Set the <tt>--check</tt> command line flag.
     * 
     * @see <a
     *      href="http://www.selenic.com/mercurial/hg.1.html#update">Mercurial
     *      documentation</a>
     * @return this instance
     */
    public UpdateCommand check() {
        cmdAppend("--check");
        return (UpdateCommand) this;
    }

    /**
     * Set the <tt>--date</tt> command line flag.
     * 
     * @see <a
     *      href="http://www.selenic.com/mercurial/hg.1.html#update">Mercurial
     *      documentation</a>
     * @return this instance
     */
    public UpdateCommand date(String date) {
        cmdAppend("--date", date);
        return (UpdateCommand) this;
    }

    /**
     * Set the <tt>--rev</tt> command line flag.
     * 
     * @see <a
     *      href="http://www.selenic.com/mercurial/hg.1.html#update">Mercurial
     *      documentation</a>
     * @return this instance
     */
    public UpdateCommand rev(String rev) {
        cmdAppend("--rev", rev);
        return (UpdateCommand) this;
    }

}
